import { Tag as TagType } from '@bringg/types';
import { BasicResponse } from '../Core/Responses';
import Session from '../Services/Identity/Session';
import { TagGetAllResponse, TagResponse } from './Tag.consts';
export default class Tag {
    private tagEntity;
    constructor(session: Session);
    getAll(): Promise<TagGetAllResponse>;
    create(tag: TagType): Promise<TagResponse>;
    update(id: number, tag: TagType): Promise<TagResponse>;
    delete(id: number): Promise<BasicResponse>;
}
